gRPC C#
gRPC C#
Namespaces
Grpc.Core
Marshallers Class
Marshallers Methods
Create(T) Method

Marshallers Create T Method

Creates a marshaller from specified serializer and deserializer.

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public static Marshaller<T> Create<T>(
    	Func<T, byte[]> serializer,
    	Func<byte[], T> deserializer
    )

    Public Shared Function Create(Of T) (
    	serializer As Func(Of T, Byte()),
    	deserializer As Func(Of Byte(), T)
    ) As Marshaller(Of T)

    public:
    generic<typename T>
    static Marshaller<T>^ Create(
    	Func<T, array<unsigned char>^>^ serializer,
    	Func<array<unsigned char>^, T>^ deserializer
    )

    static member Create :
            serializer : Func<'T, byte[]> *
            deserializer : Func<byte[], 'T> -> Marshaller<'T>

#### Parameters

serializer
  Type: System
  Func
  T,
  Byte

  [Missing <param name="serializer"/> documentation for "M:Grpc.Core.Marshallers.Create``1(System.Func{``0,System.Byte[]},System.Func{System.Byte[],``0})"]

deserializer
  Type: System
  Func
  Byte
  , T

  [Missing <param name="deserializer"/> documentation for "M:Grpc.Core.Marshallers.Create``1(System.Func{``0,System.Byte[]},System.Func{System.Byte[],``0})"]

#### Type Parameters

T

  [Missing <typeparam name="T"/> documentation for "M:Grpc.Core.Marshallers.Create``1(System.Func{``0,System.Byte[]},System.Func{System.Byte[],``0})"]

#### Return Value

Type: Marshaller
T
See Also

#### Reference

Marshallers Class
Grpc.Core Namespace